#
# $Header: /usr/local/monitoring/nagios/etc/services/RCS/cpanel_devqa_services.cfg,v 1.3 2014/09/11 17:33:52 nagios Exp nagios $
#
# Cpanel Dev/QA services
#

define service {
	service_description		nrpe_unixtest_agent_status
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
	max_check_attempts		5
	check_freshness			1
	freshness_threshold		1220
	check_command			check_nrpe_agent
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_active_mem
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_cpu
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_cpu!50!70!2!1
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_disk_system
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
#action_url           /graphs/cgi-bin/label_graph.cgi?host=$HOSTNAME$&service=nrpe_unixtest_disk_system
	check_command			check_nrpe_disk_by_class!system
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_swap
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_lxfiles
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/syslog.conf
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_proclist_linux
	use				UNIX Dev/QA service
	hostgroup_name			CPanel Dev/QA
	check_command			check_nrpe_proclist!crond,snmpd,sshd,xinetd
	contacts			Cpanel Admins
}

define service {
	service_description		nrpe_unixtest_mounts
	use				UNIX Dev/QA service
	host_name			dascpan100l
	check_command			check_nrpe_mounts
	contact_groups			null
	contacts			Cpanel Admins
}

